﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace GettingStarted
{
    public class App : Application
    {
        SfDataGrid sfGrid;
        public App()
        {
            sfGrid = new SfDataGrid();
            sfGrid.ItemsSource = new OrderInfoRepository().OrderInfoCollection;
            sfGrid.ColumnSizer = ColumnSizer.Star;
            if (Device.OS == TargetPlatform.WinPhone)
            {
                sfGrid.HeaderRowHeight = 55;
                sfGrid.RowHeight = 51;
            }

            //sfGrid.AutoGenerateColumns = false;

            //GridTextColumn orderIdColumn = new GridTextColumn();
            //orderIdColumn.MappingName = "OrderID";
            //orderIdColumn.HeaderText = "Order ID";

            //GridTextColumn customerIdColumn = new GridTextColumn();
            //customerIdColumn.MappingName = "CustomerID";
            //customerIdColumn.HeaderText = "Customer ID";

            //GridTextColumn customerColumn = new GridTextColumn();
            //customerColumn.MappingName = "Customer";
            //customerColumn.HeaderText = "Customer";

            //GridTextColumn countryColumn = new GridTextColumn();
            //countryColumn.MappingName = "CustomerID";
            //countryColumn.HeaderText = "Customer ID";

            //sfGrid.Columns.Add(orderIdColumn);
            //sfGrid.Columns.Add(customerIdColumn);
            //sfGrid.Columns.Add(customerColumn);
            //sfGrid.Columns.Add(countryColumn);

            sfGrid.AllowSorting = true;

            //sfGrid.SortColumnDescriptions.Add(new SortColumnDescription() { ColumnName = "OrderID" });

            sfGrid.GroupColumnDescriptions.Add(new GroupColumnDescription() { ColumnName = "ShipCountry" });

            MainPage = new ContentPage { Content = sfGrid };
        }
    }
}
